#
# ~/.bashrc.kuba
#

# If not running interactively, don't do anything
[[ $- != *i* ]] && return
alias ls='ls --color=auto'
export EDITOR="vim"
export CUPS_GSSSERVICENAME=HTTP
export PATH=$PATH:/home/kuba/bin
export PATH="$HOME/git/esp-open-sdk/xtensa-lx106-elf/bin/:$PATH"

alias dotfiles="/usr/bin/git --git-dir=$HOME/.dotfiles.git --work-tree=$HOME"
alias dvim="GIT_WORK_TREE='/home/kuba' GIT_DIR='/home/kuba/.dotfiles.git/' vim"

# Source git prompt
if [ -f ~/scripts/git-prompt.sh ]; then
    source ~/scripts/git-prompt.sh
fi
source ~/.bash_prompt.kuba

if [ "$(hostname)" == "kubaDesktop" ] || [ "$(hostname)" == "kubaArch-Laptop" ]; then
    GPAW_SETUP_BASE="/home/kuba/gpaw-setups/0.9.20000/"
    export GPAW_SETUP_PATH="${GPAW_SETUP_BASE}gpaw-basis-pvalence-0.9.20000/:${GPAW_SETUP_BASE}gpaw-setups-0.9.20000/"
fi

if xhost >& /dev/null ; then
    # X is running
    xhost +local:kuba > /dev/null
fi
